org.keycloak.services.resources.admin

## Enum AdminAuth.Resource

- java.lang.Object
- - java.lang.Enum<AdminAuth.Resource>
  - - org.keycloak.services.resources.admin.AdminAuth.Resource

- All Implemented Interfaces:
    Serializable, Comparable<AdminAuth.Resource>
  Enclosing class:
    AdminAuth

      public static enum AdminAuth.Resource
      extends Enum<AdminAuth.Resource>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTHORIZATION`
    `CLIENT`
    `EVENTS`
    `IDENTITY_PROVIDER`
    `IMPERSONATION`
    `REALM`
    `USER`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AdminAuth.Resource` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AdminAuth.Resource[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CLIENT

          public static final AdminAuth.Resource CLIENT

    - #### USER

          public static final AdminAuth.Resource USER

    - #### REALM

          public static final AdminAuth.Resource REALM

    - #### EVENTS

          public static final AdminAuth.Resource EVENTS

    - #### IDENTITY_PROVIDER

          public static final AdminAuth.Resource IDENTITY_PROVIDER

    - #### IMPERSONATION

          public static final AdminAuth.Resource IMPERSONATION

    - #### AUTHORIZATION

          public static final AdminAuth.Resource AUTHORIZATION

  - ### Method Detail

    - #### values

          public static AdminAuth.Resource[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AdminAuth.Resource c : AdminAuth.Resource.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AdminAuth.Resource valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2021 JBoss by Red Hat. All rights reserved.